> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve potentially applicable taxes for a location

> Retrieve potentially applicable taxes using the legacy location code



## OpenAPI

````yaml /ste/api-reference/ste-hosted-api.yaml post /v2/setTaxList
openapi: 3.0.3
info:
  title: STE Hosted API
  description: Symmetry Tax Engine Hosted API
  version: all
  termsOfService: https://www.symmetry.com/terms
  contact:
    name: Symmetry Website
    url: https://www.symmetry.com/
servers:
  - url: https://ste.symmetry.com/ste-hosted
security:
  - apiKey: []
tags:
  - name: Account Information and Schema
    description: Account information and schema retrieval endpoints
  - name: Benefits
    description: Employee benefits status and information
  - name: Location Code
    description: Location code lookup
  - name: Location Tax Information
    description: Location-based tax information and configuration
  - name: Payroll Calculations
    description: Payroll tax calculation endpoints
  - name: Tax Information
    description: Tax ID and reference information
  - name: Documentation
    description: API documentation and specification
  - name: STEVersions
    description: Installed STE database version discovery
paths:
  /v2/setTaxList:
    post:
      tags:
        - Location Tax Information
      summary: Retrieve potentially applicable taxes for a location
      description: Retrieve potentially applicable taxes using the legacy location code
      operationId: setTaxList
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                SetTaxListRequest:
                  $ref: '#/components/schemas/SetTaxListRequest'
            example:
              SetTaxListRequest:
                taxReference:
                  - locationCode: 39-085-1064593
                    payDate: '2026-03-24'
                    isResident: true
                    municipalityCode: null
                    schoolCode: '4309'
          application/xml:
            schema:
              type: object
              properties:
                SetTaxListRequest:
                  $ref: '#/components/schemas/SetTaxListRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetTaxListResponse'
              example:
                SetTaxListResponse:
                  transactionStamp:
                    totalTransactions: 1
                    calcDateTime: '2026-03-24T13:32:44Z'
                    failedTransactions: 0
                    transactionType: SetTaxList
                    schemaVersion: v2
                    steVersion: 2026-R1
                  errorStatus:
                    errorMessage: No error
                    errorCode: 0
                  taxItem:
                    - stateAbbreviation: OH
                      taxLimit: 0
                      stateName: Ohio
                      description: Ohio State Unemployment Tax
                      taxLimitPeriod: None
                      creditLimit: 0
                      isEmployerTax: true
                      taxInstallationDate: '2026-01-01'
                      isResident: true
                      taxEffectiveDate: '2026-01-01'
                      stateCode: '39'
                      rate: 0
                      uniqueTaxID: 39-000-0000-ER_SUTA-000
                      wageBase: 9000
                      credit: 0
            application/xml:
              schema:
                $ref: '#/components/schemas/SetTaxListResponse'
      deprecated: true
components:
  schemas:
    SetTaxListRequest:
      type: object
      properties:
        taxReference:
          type: array
          items:
            $ref: '#/components/schemas/taxReferenceType'
          description: >-
            An array of `taxReferenceType` objects. Each location code returned
            in the `SetTaxListResponse` will be set up in its own
            `taxReferenceType` object.
    SetTaxListResponse:
      type: object
      properties:
        errorStatus:
          $ref: '#/components/schemas/errorType'
        transactionStamp:
          $ref: '#/components/schemas/transactionStampType'
        taxItem:
          type: array
          items:
            $ref: '#/components/schemas/taxItemType'
    taxReferenceType:
      type: object
      properties:
        isResident:
          type: boolean
          description: >-
            Indicates the employee is considered a resident for the purposes of
            calculating this tax.
        locationCode:
          $ref: '#/components/schemas/locationCodeType'
        payDate:
          $ref: '#/components/schemas/date'
        municipalityCode:
          nullable: true
          type: string
          description: >-
            If a municipality code was returned from the `/locationCode`
            endpoint, set it here.
        nonActiveTaxes:
          type: boolean
          description: >-
            Set to true to also return historical taxes that have been
            inactivated. Defaults to false if not set.
        schoolCode:
          nullable: true
          type: string
          description: >-
            If a school code was returned from the `/locationCode` endpoint, set
            it here.
        includeNoTaxStates:
          type: boolean
        includeRailroadTaxes:
          type: boolean
          description: >-
            Set to true to return railroad taxes (RRTA & RUIA) when using the
            federal location code (`"00-000-0000"`). Defaults to false if not
            set.
        FSADC_filingStatus:
          type: string
          enum:
            - S
            - M
            - H
            - MS
        deferredFICA2020:
          type: boolean
    errorType:
      type: object
      properties:
        errorCode:
          type: integer
        errorMessage:
          type: string
    transactionStampType:
      type: object
      properties:
        calcDateTime:
          $ref: '#/components/schemas/dateTime'
        failedTransactions:
          type: integer
        schemaVersion:
          type: string
        steVersion:
          type: string
        totalTransactions:
          type: integer
        transactionType:
          type: string
          enum:
            - PayCalc
            - LocationCode
            - JurisdictionData
            - SetTaxList
            - BenefitStatus
            - BenefitInfo
            - TaxIDList
            - GrossUp
            - GetSchema
            - AccountInfo
            - STEVersions
    taxItemType:
      type: object
      properties:
        cityCode:
          type: string
        cityName:
          type: string
        countyCode:
          nullable: true
          type: string
        countyName:
          type: string
        credit:
          type: number
          description: >-
            Reciprocity credit rate as a percentage (0-100), NOT a dollar
            amount. For example, `100` means 100% of the tax paid to another
            jurisdiction is credited, subject to `creditLimit`.
        creditLimit:
          type: number
          description: >-
            Maximum credit expressed as a percentage of wages (NOT a dollar
            amount), typically capped at this jurisdiction's own tax rate. For
            example, `2.5` means 2.5%.
        description:
          type: string
        isEmployerTax:
          type: boolean
        isResident:
          type: boolean
          description: >-
            Indicates the employee is considered a resident for the purposes of
            calculating this tax.
        municipalityCode:
          type: string
          description: >-
            If a municipality code was returned from the `/locationCode`
            endpoint, set it here.
        municipalityName:
          type: string
        psdCode:
          type: string
        rate:
          type: number
        schoolCode:
          type: string
          description: >-
            If a school code was returned from the `/locationCode` endpoint, set
            it here.
        schoolName:
          type: string
        stateAbbreviation:
          type: string
        stateCode:
          type: string
        stateName:
          type: string
        taxEffectiveDate:
          $ref: '#/components/schemas/date'
        taxInstallationDate:
          $ref: '#/components/schemas/date'
        taxLimit:
          type: number
        taxLimitPeriod:
          type: string
        transitDistrictCode:
          type: string
        transitDistrictName:
          type: string
        uniqueTaxID:
          $ref: '#/components/schemas/uniqueTaxIDType'
        wageBase:
          type: number
        jurisdictionData:
          type: array
          items:
            $ref: '#/components/schemas/jurisdictionDataType'
        country:
          nullable: true
          type: string
        provinceCode:
          nullable: true
          type: string
        provinceAbbreviation:
          nullable: true
          type: string
        provinceName:
          nullable: true
          type: string
        LCPRate:
          nullable: true
          type: number
        LCPAmount:
          nullable: true
          type: number
        basicAmount:
          nullable: true
          type: number
        v1Rate:
          nullable: true
          type: number
        AverageAssessmentRate:
          nullable: true
          type: number
        MaximumInsurable:
          nullable: true
          type: number
        annual_max:
          nullable: true
          type: number
        max_contribution:
          nullable: true
          type: number
        max_contribution_period:
          nullable: true
          type: number
    locationCodeType:
      type: string
    date:
      type: string
    dateTime:
      type: string
    uniqueTaxIDType:
      type: string
    jurisdictionDataType:
      type: object
      properties:
        uniqueTaxID:
          $ref: '#/components/schemas/uniqueTaxIDType'
        dataType:
          $ref: '#/components/schemas/dataTypeValues'
        certificateLineNo:
          type: string
        defaultValue:
          type: string
        description:
          type: string
        helpText:
          type: string
        listValues:
          nullable: true
          type: string
        parameterName:
          type: string
        regex:
          type: string
        regexDescription:
          type: string
        regexType:
          type: string
        stateAbbreviation:
          type: string
        stateCode:
          type: string
        isOptional:
          type: boolean
        provinceAbbreviation:
          nullable: true
          type: string
        provinceCode:
          nullable: true
          type: string
        taxEffectiveDate:
          nullable: true
          type: string
    dataTypeValues:
      type: string
      enum:
        - Integer
        - Dollar
        - Boolean
        - String
        - Percentage
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key for authentication. Provide the raw key as the value of the
        Authorization header (no "Bearer" prefix).

````